1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Confused between the psp 1.5 and the 3.40 OE-A - please help

Discussion in 'Sony PSP - Mod and firmware discussion' started by eCa!, Jun 16, 2007.

  1. eCa!

    eCa! Member

    Joined:
    Nov 6, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    Hi guys,

    Hopefully someone will be able to help in explaining to me a how to guide and whats best for a new psp that will allow me to play both brought and copied games.

    I have a 2.71 but found out that you can't change the firmware on it :|.

    I was just about to buy a psp 1.5 on eBay when I notice ppl talking about 3.40 OE-A

    What I would like to ask is, is this just a firmware update or a new psp model and From what I have been reading this has the best of both worlds (1.5 - 3.40 in one)?

    So I would like to ask is it worth getting a psp 1.5 and using a software on it to play copied games if it is whats the best to use in software. or am I better off getting the new model? And if I get a new model do I still new a software for it to run copied games?

    I do apologize for sounding like a nub but I'm really not into playing around with firmware and really don't want to destroy my unit lol..

    regards

    Shane
     
  2. moon1990

    moon1990 Member

    Joined:
    Mar 16, 2007
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    16
    just get a psp with 1.5 then search google on how to get 3.40oe a firmware on it.then put the games (.iso and.cso format) in the ISO folder in the root of the memory stick

    like this> X:iso>game.iso (X being the name of the memory stick drive)
    search afterdawn and read guides you will figure everything by yourself
     
  3. eCa!

    eCa! Member

    Joined:
    Nov 6, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    Thanks for that info..

    Sorry I'll try and have a look I really don't get much time due to work commitments. :|
     
  4. eCa!

    eCa! Member

    Joined:
    Nov 6, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    I'm hoping someone will clear this up.

    I noticed in someones sig they have the links to upgrade to 3.03 then back to 1.5. I got my firmware information wrong and noticed I have 2.81 not 2.71. After doing a bit of reading I notice ppl saying you upgrade then back to 1.5. But do you need the GTA game in order to do this ? or can you just use the 3.03 install program I have download and will this work the same.

    In other words if it does I just connect my psp via usb to my pc. Use the program and that will change the firmware to 3.03. then use the other program to set it to 1.5 ?
     
  5. psplovers

    psplovers Member

    Joined:
    Jun 23, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    I found the user friendly place to make your PSP 1.5 become 3.40 OE.
    Hope it's help you guy.

    http://homepage.eircom.net/~pspcalo/3.40oe.html

    Just browse around and you can found how to downgrade too, with all sources there.

    Enjoy your PSP.
     
  6. psplovers

    psplovers Member

    Joined:
    Jun 23, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    Hi Shane,

    Using firmware 3.40 OE will let you play original PSP games from UMD and memory card (for backup games with format ISO, CSO) also can play PSX games and homebrew.
    Try the web that I gave before, it's really easy to follow.

    Your 2.71 PSP also can be downgrade to 1.5 firmware as well, just look around on that website and look for downgrade.

    I think you need help with UMD GTA Liberty City Stories UNPATCHED version (firmware 2.0 upgrade).

    I tried the 3.40 OE and it's really good firmware. There's a recovery mode to let you back to firmware 1.5 (beware of bricked your PSP)

    I prepare use the Devhook v.52 with firmware 3.11, as really easy back to firmware 1.5 just by hold power button longer.
    But all is up to the user which more suit for them.

    You can try games before you buy a UMD ( I bet you will not buy UMD after you can get the ISO for free ) ;))))
    Cheers








    I do apologize for sounding like a nub but I'm really not into playing around with firmware and really don't want to destroy my unit lol..

    regards

    Shane
     
  7. glenquag

    glenquag Regular member

    Joined:
    Mar 7, 2007
    Messages:
    1,879
    Likes Received:
    0
    Trophy Points:
    46
    You can easily update to 3.03. But you need the GTA LCS Unpatched UMD to downgrade it.
     
  8. fuke

    fuke Member

    Joined:
    May 13, 2007
    Messages:
    64
    Likes Received:
    0
    Trophy Points:
    16
    >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
    Boss, newbie fuke here. just wondering if you already have 3.40oe-a and then you use recovery mode to go back to ver1.5, if you want to upgrade back to 3.40oe-a, do you still need the GTA LCS Unpatched?
     
  9. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46

    no ,you only need gta to downgrade your psp from 3.03 to 1.5
     
    Last edited: Jun 24, 2007
  10. curtispan

    curtispan Member

    Joined:
    Nov 30, 2006
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    yah don't bother getting another psp or anything. i downgraded my psp fw 2.71 to 1.5 easily. try here and look in the hacks section for a downgrader.
     
  11. fuke

    fuke Member

    Joined:
    May 13, 2007
    Messages:
    64
    Likes Received:
    0
    Trophy Points:
    16
    >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
    im confused boss.. it says that GTA has an update ver2.0. so if youre in ver1.5 you need it to update to 2.0..
     
  12. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    you only need the gta umd to downgrade your psp to 1.5
    do not update to 2.00

    if you already have 1.5 firmware you dont need the gta umd anymore ,just install dark alex custom firmware 3.40 OE
     
    Last edited: Jun 24, 2007

Share This Page